apiVersion: external-secrets.io/v1beta1
kind: ClusterSecretStore
metadata:
  name: aws-secret-store
  
spec:
  provider:
    aws:  # set secretStore provider to AWS.
      service: SecretsManager # Configure service to be Secrets Manager
      region: us-east-2   # Region where the secret is.
      auth:
        secretRef:
          accessKeyIDSecretRef: 
            name: aws-secret-manager-key # References the secret we created
            key: access-key  
          secretAccessKeySecretRef:
            name: aws-secret-manager-key
            key: secret
---
apiVersion: external-secrets.io/v1beta1
kind: ExternalSecret
metadata:
  name: aws-external-secret
spec:
  refreshInterval: 1m
  secretStoreRef:
    name: aws-secret-store #The secret store name we have just created.
    kind: ClusterSecretStore
  target:
    name: my-kubernetes-secret # Secret name in k8s
  data:
  - secretKey: password # which key it's going to be stored
    remoteRef:
      key: super-secret # Our secret-name goes here

